Bullet Collision Detection & Physics Library: btConvexHullInternal::Rational64 Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Private Attributes | List of all members
btConvexHullInternal::Rational64 Class Reference

## Public Member Functions
| Rational64 (int64_t numerator, int64_t denominator)
bool | isNegativeInfinity () const
bool | isNaN () const
int | compare (const Rational64 &b) const
btScalar | toScalar () const

## Private Attributes
uint64_t | m_numerator
uint64_t | m_denominator
int | sign

## Detailed Description

Definition at line 272 of file btConvexHullComputer.cpp.

## Constructor & Destructor Documentation

## ◆ Rational64()

btConvexHullInternal::Rational64::Rational64 | ( | int64_t | numerator,
|  | int64_t | denominator
| ) |  |
| inline

Definition at line 280 of file btConvexHullComputer.cpp.

## Member Function Documentation

## ◆ compare()

int btConvexHullInternal::Rational64::compare | ( | const Rational64 & | b | ) | const

Definition at line 896 of file btConvexHullComputer.cpp.

## ◆ isNaN()

bool btConvexHullInternal::Rational64::isNaN | ( |  | ) | const
| inline

Definition at line 317 of file btConvexHullComputer.cpp.

## ◆ isNegativeInfinity()

bool btConvexHullInternal::Rational64::isNegativeInfinity | ( |  | ) | const
| inline

Definition at line 312 of file btConvexHullComputer.cpp.

## ◆ toScalar()

btScalar btConvexHullInternal::Rational64::toScalar | ( |  | ) | const
| inline

Definition at line 324 of file btConvexHullComputer.cpp.

## Member Data Documentation

## ◆ m_denominator

uint64_t btConvexHullInternal::Rational64::m_denominator
| private

Definition at line 276 of file btConvexHullComputer.cpp.

## ◆ m_numerator

uint64_t btConvexHullInternal::Rational64::m_numerator
| private

Definition at line 275 of file btConvexHullComputer.cpp.

## ◆ sign

int btConvexHullInternal::Rational64::sign
| private

Definition at line 277 of file btConvexHullComputer.cpp.

The documentation for this class was generated from the following file:

- btConvexHullComputer.cpp